Bug 988741 - Problems with custom routes after update to 0.9.9.0-7.git20130724.fc20
Problems with custom routes after update to 0.9.9.0-7.git20130724.fc20
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-26 05:37 EDT by piio
Modified: 2015-06-29 08:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:07:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description piio 2013-07-26 05:37:58 EDT
Description of problem:
Custom routes are not set after connecting through vpnc after update to newest version in rawhide

Version-Release number of selected component (if applicable):
0.9.9.0-7.git20130724.fc20

How reproducible:
Always

Steps to Reproduce:
1. Set custom routes in vpn profile (ignore automatic routes, use only for this network)
2. Connect to vpn through vpnc, try to ping anything on the vpn site

Actual results:
Can't ping anything through vpn

Expected results:
Can ping anything through vpn

Additional info:
In journalctl I see:
[nm-policy.c:624] update_ip4_routing(): Failed to set default route.
Comment 1 Steve Tyler 2013-08-03 05:15:14 EDT
Simply starting the installer on the Live image causes the default route to be deleted. See Bug 991164, Comment 3.

journalctl shows:
Aug 03 04:31:26 localhost.localdomain NetworkManager[586]: <error> [1375518686.331620] [nm-policy.c:624] update_ip4_routing(): Failed to set default route.

Tested with:
$ qemu-kvm -m 4096 -hda f19-test-4.img -cdrom ~/xfr/fedora/nightly-composes/Fedora-20-Nightly-x86_64-Live-desktop-20130802.10-1.iso -vga std -boot menu=on

Which has:
anaconda-20.4-1.fc20.x86_64.rpm
NetworkManager-0.9.9.0-8.git20130724.fc20.x86_64.rpm
http://kojipkgs.fedoraproject.org//work/tasks/3293/5693293/livecd.log
Comment 2 Steve Tyler 2013-08-03 06:25:47 EDT
piio: Could you try this?

$ ip route
<connect to vpn>
$ ip route
Comment 3 piio 2013-08-03 07:22:47 EDT
Hi,

I tried:
Before connection to VPN:

[12:39 piio@491-0859:~]$ ip route
default via 192.168.1.254 dev eth0  proto static  metric 1024 
192.168.1.254 dev eth0  proto static  scope link  metric 1024 
192.168.122.0/24 dev virbr0  proto kernel  scope link  src 192.168.122.1 

After:
[12:39 piio@491-0859:~]$ ip route
default via 192.168.1.254 dev eth0  proto static  metric 1024 
10.50.0.0/16 dev tun0  proto kernel  scope link  src 10.50.1.23 
10.0.30.0/24 via 10.50.1.1 dev tun0  proto static  metric 1024 
10.0.31.0/24 via 10.50.1.1 dev tun0  proto static  metric 1024 
10.0.50.0/24 via 10.50.1.1 dev tun0  proto static  metric 1024 
10.0.52.0/24 via 10.50.1.1 dev tun0  proto static  metric 1024 
10.0.54.0/24 via 10.50.1.1 dev tun0  proto static  metric 1024 
10.0.80.0/24 via 10.50.1.1 dev tun0  proto static  metric 1024 
10.0.82.0/24 via 10.50.1.1 dev tun0  proto static  metric 1024 
10.0.111.0/24 via 10.50.1.1 dev tun0  proto static  metric 1024 
192.168.1.254 dev eth0  proto static  scope link  metric 1024 
192.168.122.0/24 dev virbr0  proto kernel  scope link  src 192.168.122.1 
public_vpn_ip via 192.168.1.254 dev eth0  proto static  metric 1024 

journalctl _COMM=NetworkManager:
NetworkManager[953]: VPNC started in foreground...
NetworkManager[953]: <info> VPN service 'vpnc' disappeared
NetworkManager[953]: <info> Starting VPN service 'vpnc'...
NetworkManager[953]: <info> VPN service 'vpnc' started (org.freedesktop.NetworkManager.vpnc), PID 24063
NetworkManager[953]: <info> VPN service 'vpnc' appeared; activating connections
NetworkManager[953]: <info> VPN plugin state changed: init (1)
NetworkManager[953]: dbus_g_proxy_cancel_call: assertion 'pending != NULL' failed
NetworkManager[953]: <info> VPN plugin state changed: starting (3)
NetworkManager[953]: ** Message: vpnc started with pid 24067
NetworkManager[953]: <info> VPN connection 'VPN' (Connect) reply received.
NetworkManager[953]: <info> (tun0): carrier is OFF
NetworkManager[953]: <info> (tun0): new Tun device (driver: 'tun' ifindex: 9)
NetworkManager[953]: <info> (tun0): exported as /org/freedesktop/NetworkManager/Devices/7
NetworkManager[953]: <info> VPN connection 'VPN' (IP4 Config Get) reply received from old-style plugin.
NetworkManager[953]: <info> VPN Gateway: public_vpn_ip
NetworkManager[953]: <info> Tunnel Device: tun0
NetworkManager[953]: <info> IPv4 configuration:
NetworkManager[953]: <info>   Internal Address: 10.50.1.23
NetworkManager[953]: <info>   Internal Prefix: 16
NetworkManager[953]: <info>   Internal Point-to-Point Address: 10.50.1.23
NetworkManager[953]: <info>   Maximum Segment Size (MSS): 0
NetworkManager[953]: <info>   Static Route: 10.50.1.0/24   Next Hop: 10.50.1.0
NetworkManager[953]: <info>   Static Route: 10.0.30.0/24   Next Hop: 10.0.30.0
NetworkManager[953]: <info>   Static Route: 10.0.50.0/24   Next Hop: 10.0.50.0
NetworkManager[953]: <info>   Static Route: 10.0.52.0/24   Next Hop: 10.0.52.0
NetworkManager[953]: <info>   Static Route: 10.0.54.0/24   Next Hop: 10.0.54.0
NetworkManager[953]: <info>   Static Route: 10.0.82.0/24   Next Hop: 10.0.82.0
NetworkManager[953]: <info>   Static Route: 10.0.111.0/24   Next Hop: 10.0.111.0
NetworkManager[953]: <info>   Static Route: 10.0.31.0/24   Next Hop: 10.0.31.0
NetworkManager[953]: <info>   Static Route: 10.0.80.0/24   Next Hop: 10.0.80.0
NetworkManager[953]: <info>   Forbid Default Route: yes
NetworkManager[953]: <info>   Internal DNS: 10.50.1.1
NetworkManager[953]: <info>   Internal DNS: 10.50.1.2
NetworkManager[953]: <info>   Internal DNS: 10.0.30.100
NetworkManager[953]: <info>   DNS Domain: '(none)'
NetworkManager[953]: <info> No IPv6 configuration
NetworkManager[953]: <info> Login Banner:
NetworkManager[953]: <info> -----------------------------------------
NetworkManager[953]: <info> 
NetworkManager[953]: <info> -----------------------------------------
NetworkManager[953]: <info> (tun0): link connected
NetworkManager[953]: <info> VPN connection 'VPN' (IP Config Get) complete.
NetworkManager[953]: <error> [1375526378.835519] [nm-policy.c:624] update_ip4_routing(): Failed to set default route.
NetworkManager[953]: <info> DNS: starting dnsmasq...
NetworkManager[953]: <info> VPN plugin state changed: started (4)
NetworkManager[953]: <error> [1375526379.88489] [nm-policy.c:624] update_ip4_routing(): Failed to set default route.

It looks like now all routes are applied correctly.

I don't know why previously some routes were missing, I could'nt find any correlation with updates or config changes.
Comment 4 Steve Tyler 2013-08-03 11:34:24 EDT
(In reply to piio from comment #3)
...
> NetworkManager[953]: <error> [1375526378.835519] [nm-policy.c:624] update_ip4_routing(): Failed to set default route.
> NetworkManager[953]: <info> DNS: starting dnsmasq...
> NetworkManager[953]: <info> VPN plugin state changed: started (4)
> NetworkManager[953]: <error> [1375526379.88489] [nm-policy.c:624] update_ip4_routing(): Failed to set default route.

...

Thanks for checking.

Your journalctl log shows two "Failed to set default route." messages separated by 1 second:

1375526379.88489 - 1375526378.835519 = 1.0493710041046143
Comment 5 Steve Tyler 2013-08-03 11:43:25 EDT
1375526378.835519: GMT: Sat, 03 Aug 2013 10:39:38 GMT
1375526379.88489 : GMT: Sat, 03 Aug 2013 10:39:39 GMT

http://www.epochconverter.com/
Comment 6 Fedora End Of Life 2013-09-16 10:51:10 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 7 Fedora End Of Life 2015-05-29 05:13:20 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-06-29 08:07:45 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.